var parent={};
var top={};

function checkCorner(item){
	if(item.split('角球数')>1){
		return 1;
	}
	return 0;
}
parent.body_var_onLoad=function(){
	this.data={};

	this.result=[];
	
	for(let index in this.gm)
	{
		var item=this.gm[index];
		var col_length=item.length;
		var tmp={};
		tmp.match_id=index;
		tmp.is_roll=0;
		var tit=item[0];
		tit=tit.split('<br>');
		
		tmp.is_roll=0;
		if(tit.length>2){
			tmp.is_roll=1;
		}		
		tmp.is_corner=checkCorner(item[4]);

		this.result.push(tmp);
	}
	this.data.data=this.result;
	console.log(JSON.stringify(this.data));


}

parent.arrayMege=function(o1,o2){

}


_=parent;
_.flash_ior_set='Y';
_.rtype='r';
_.sel_lid='';
top.today_gmt = '2019-06-14';
top.now_gmt = '21:45:04';
_.GameFT=[];
gr=[];
g=function(_){gr.push(_);}
_.GameOBT=[];
od=function(gid,da){_.GameOBT[gid]=[];_.GameOBT[gid]=da;}
_.GamePk=[];
pk=function(gid,da){_.GamePk[gid]=[];_.GamePk[gid]=da;}
_.GameRn=[];
rn=function(da){_.GameRn.push(da);}
top.SortType='';
top.filterType='XX';
top.filterTypeRE='CB';
top.pageType='def';
_.retime=180;
top.sel_gd = 'today';
_.clean_data_sw='N';
_.GameHead =['gid','datetime','league','gnum_h','gnum_c','team_h','team_c','strong','ratio','ior_RH','ior_RC','ratio_o','ratio_u','ior_OUH','ior_OUC','ior_MH','ior_MC','ior_MN','str_odd','str_even','ior_EOO','ior_EOE','hgid','hstrong','hratio','ior_HRH','ior_HRC','hratio_o','hratio_u','ior_HOUH','ior_HOUC','ior_HMH','ior_HMC','ior_HMN','more','eventid','hot','center_tv','play','gidm','isMaster','hide_N','obt_type','ptype_map','ptype','important'];
_.ObtHead =['gid','datetime','ior_H0C0','ior_H0C1','ior_H0C2','ior_H0C3','ior_H0C4','ior_H1C0','ior_H1C1','ior_H1C2','ior_H1C3','ior_H1C4','ior_H2C0','ior_H2C1','ior_H2C2','ior_H2C3','ior_H2C4','ior_H3C0','ior_H3C1','ior_H3C2','ior_H3C3','ior_H3C4','ior_H4C0','ior_H4C1','ior_H4C2','ior_H4C3','ior_H4C4','ior_OVH','ior_T0','ior_T1','ior_T2','ior_TOV','ior_WNH','ior_WNC','ior_CSH','ior_CSC','ior_TSY','ior_TSN','ior_OUHO','ior_OUHU','ratio_OUHO','ratio_OUHU','ior_OUCO','ior_OUCU','ratio_OUCO','ratio_OUCU','wtype_MOU','ior_MOUHO','ior_MOUHU','ratio_MOUHO','ratio_MOUHU','ior_MOUCO','ior_MOUCU','ratio_MOUCO','ratio_MOUCU','ior_MOUNO','ior_MOUNU','ratio_MOUNO','ratio_MOUNU','ior_PGFH','ior_PGFC','ior_PGFN'];
_.pkHead=[''];
 _.rnHead=[''];
_.game_more=1;
_.gameCount='FT|RB|6,FT|FT|8,FT|FU|226,FT|P3|179,FT|HOT_RB|3,FT|HOT_FT|0,FT|HOT_FU|24,FT|HOT_P3|14,FT|SP_RB|0,FT|SP_FT|0,FT|SP_FU|0,FT|SP_P3|0,BK|RB|3,BK|FT|2,BK|FU|6,BK|P3|8,BK|HOT_RB|0,BK|HOT_FT|0,BK|HOT_FU|0,BK|HOT_P3|0,BK|SP_RB|0,BK|SP_FT|0,BK|SP_FU|0,BK|SP_P3|0,BS|RB|9,BS|FT|0,BS|FU|11,BS|P3|11,BS|HOT_RB|0,BS|HOT_FT|0,BS|HOT_FU|0,BS|HOT_P3|0,BS|SP_RB|0,BS|SP_FT|0,BS|SP_FU|0,BS|SP_P3|0,TN|RB|0,TN|FT|0,TN|FU|35,TN|P3|35,TN|HOT_RB|0,TN|HOT_FT|0,TN|HOT_FU|0,TN|HOT_P3|0,TN|SP_RB|0,TN|SP_FT|0,TN|SP_FU|0,TN|SP_P3|0,VB|RB|0,VB|FT|0,VB|FU|15,VB|P3|15,VB|HOT_RB|0,VB|HOT_FT|0,VB|HOT_FU|0,VB|HOT_P3|0,VB|SP_RB|0,VB|SP_FT|0,VB|SP_FU|0,VB|SP_P3|0,BM|RB|0,BM|FT|0,BM|FU|0,BM|P3|0,BM|HOT_RB|0,BM|HOT_FT|0,BM|HOT_FU|0,BM|HOT_P3|0,BM|SP_RB|0,BM|SP_FT|0,BM|SP_FU|0,BM|SP_P3|0,TT|RB|0,TT|FT|0,TT|FU|0,TT|P3|0,TT|HOT_RB|0,TT|HOT_FT|0,TT|HOT_FU|0,TT|HOT_P3|0,TT|SP_RB|0,TT|SP_FT|0,TT|SP_FU|0,TT|SP_P3|0,OP|RB|0,OP|FT|2,OP|FU|54,OP|P3|37,OP|HOT_RB|0,OP|HOT_FT|0,OP|HOT_FU|0,OP|HOT_P3|0,OP|SP_RB|0,OP|SP_FT|0,OP|SP_FU|0,OP|SP_P3|0,SK|RB|0,SK|FT|0,SK|FU|14,SK|P3|14,SK|HOT_RB|0,SK|HOT_FT|0,SK|HOT_FU|0,SK|HOT_P3|0,SK|SP_RB|0,SK|SP_FT|0,SK|SP_FU|0,SK|SP_P3|0,FS|HOT_FT|31,FS|HOT_BK|0,FS|HOT_BS|0,FS|HOT_TN|0,FS|HOT_VB|0,FS|HOT_BM|0,FS|HOT_TT|0,FS|HOT_OP|0,FS|HOT_SK|0,FS|SP_FT|0,FS|SP_BK|0,FS|SP_BS|0,FS|SP_TN|0,FS|SP_VB|0,FS|SP_BM|0,FS|SP_TT|0,FS|SP_OP|0,FS|SP_SK|0,FS|FT|131,FS|BK|2,FS|BS|0,FS|TN|3,FS|VB|0,FS|BM|0,FS|TT|0,FS|OP|0,FS|SK|1';
function onLoad(){
	_.body_var_onLoad();
}


onLoad();

